## libvirt 1.2.12

=== debian/changelog ===
libvirt (1.2.12-0ubuntu14.4~cloud3) trusty-kilo; urgency=medium

  * SECURITY UPDATE: Add support for Spectre mitigations
    - debian/patches/CVE-2017-5715-ibrs*.patch: add CPU features for
      indirect branch prediction protection and add new *-IBRS CPU models.
    - debian/control: add Breaks to get updated qemu with new CPU models.
    - CVE-2017-5715

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Feb 2018 09:27:38 -0500

libvirt (1.2.12-0ubuntu14.4~cloud2) trusty-kilo; urgency=medium

  * Added d/p/conf-Introduce-helper-to-find-duplicate-device-addre.patch (LP: #1640676)
  * Added d/p/qemuProcessHandleBlockJob-Set-disk-mirrorState-more-.patch  (LP: #1640676)
  * Added d/p/qemuProcessHandleBlockJob-Take-status-into-account.patch (LP: #1640676)
  * Added d/p/qemuMigrationDriveMirror-Listen-to-events.patch (LP: #1640676)

 -- Hua Zhang <joshua.zhang@canonical.com>  Thu, 10 Nov 2016 12:40:40 +0800

libvirt (1.2.12-0ubuntu14.4~cloud1) trusty-kilo; urgency=medium

  * Added d/p/domain_conf-fix-crash-in-virDomainObjListFindByUUIDI.patch (LP: #1594936)

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Tue, 21 Jun 2016 16:56:19 -0300

libvirt (1.2.12-0ubuntu14.4~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 09 Mar 2016 09:57:00 +0000

libvirt (1.2.12-0ubuntu14.4) vivid-security; urgency=medium

  * SECURITY UPDATE: ACL bypass using storage pool directory traversal
    - debian/patches/CVE-2015-5313.patch: filter filesystem volume names in
      src/storage/storage_backend_fs.c.
    - CVE-2015-5313

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Jan 2016 10:10:00 -0500

libvirt (1.2.12-0ubuntu14.3) vivid; urgency=medium

  * virt-aa-helper apparmor policy:  add 'network inet6' (LP: #1511830)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 04 Nov 2015 11:23:08 -0600

libvirt (1.2.12-0ubuntu14.2) vivid; urgency=medium

  * Drop the cgmanager patches - they break under systemd, and are no longer
    needed in containers due to lxcfs. (LP: #1486296)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 21 Aug 2015 15:16:17 -0700

libvirt (1.2.12-0ubuntu14.1) vivid; urgency=medium

  [ Seyeong Kim ]
  * d/p/fix_libvirtd_killed_by_sigsegv.patch: fix incorrect backport
    (LP: #1464175)

  [ Edward Hope-Morley ]
  * Add post-start to upstart (/etc/init/libvirt-bin.conf) and
    sysv (/etc/init.d/libvirt-bin) to ensure libvirt-sock
    created before up (LP: #1455608)

  [ Chris J Arges ]
  * Add d/p/PowerPC-Make-qemu-system-ppc64-the-default-emulator-.patch,
    d/p/PowerPC-Forbid-NULL-CPU-model-with-host-model-mode.patch,
    d/p/schema-Allow-multiple-machines-for-VMs-and-unite-arc.patch
    To fix issues with libvirt on ppc64el.(LP: #1468247)

 -- Chris J Arges <chris.j.arges@canonical.com>  Wed, 08 Jul 2015 12:51:16 -0500

libvirt (1.2.12-0ubuntu14) vivid; urgency=medium

  * virObjectUnref() libvirtd killed by SIGSEGV (LP: #1464175)
    - upstream, util: identity: Harden virIdentitySetCurrent()
    - upstream, daemon: Clear fake domain def object that is used to check 
      ACL prior to use
    - upstream, rpc: Don't unref identity object while callbacks still can 
      be executed

 -- Seyeong Kim <seyeong.kim@canonical.com>  Thu, 11 Jun 2015 19:31:34 +0900

libvirt (1.2.12-0ubuntu13) vivid-proposed; urgency=medium

  * 9038-qemu-fix-setting-of-VM-CPU-affinity-with-TCG (LP: #1439280)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 13 May 2015 10:48:53 -0500

libvirt (1.2.12-0ubuntu12) vivid; urgency=low

  * Add profile script to automatically set the default URI based on
    the currently running hyperisor (Xen or KVM/Qemu).
    (LP: #1334749)

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 14 Apr 2015 09:02:52 -0500

libvirt (1.2.12-0ubuntu11) vivid; urgency=medium

  * create /var/lib/libvirt/qemu/channel/target (LP: #1393842)
    - libvirt-bin.dirs: add /var/lib/libvirt/qemu/channel/target
    - libvirt-bin.postinst: chown target directory to libvirt-qemu:kvm so
      qemu can create the unix sockets.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 09 Apr 2015 10:40:05 -0500

libvirt (1.2.12-0ubuntu10) vivid; urgency=medium

  * Fix previous patch to ignore any abstract unix domain sockets
  * Update the cgmanager patch so that container start and stop work under
    systemd.  (LP: #1438730)  In 15.10 we will drop the cgmanager patch(es).

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 08 Apr 2015 10:58:04 -0500

libvirt (1.2.12-0ubuntu9) vivid; urgency=medium

  * 9037-virt-aa-helper-add-unix-channels-esp-for-qemu-guest-.patch: Allow
    libvirt domains to start when using qemu guest agent.  (LP: #1393842)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 06 Apr 2015 11:14:03 -0500

libvirt (1.2.12-0ubuntu8) vivid; urgency=medium

  * silence denial of attempted reads of lttng files (LP: #1432644)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 27 Mar 2015 21:36:27 -0500

libvirt (1.2.12-0ubuntu7) vivid; urgency=low

  * No-change rebuild to pull in libxen-dev 4.5

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 25 Feb 2015 18:31:16 +0100

libvirt (1.2.12-0ubuntu6) vivid; urgency=low

  * Fix xml validation for Xen by allowing non-absolute path values
    in loader and bootloader elements (LP: #1425497).
  * Fix up Xen emulator in old configurations and for new definitions to
    point to /usr/bin/qemu-system-i386 (LP: #1425497).

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 13 Feb 2015 17:57:27 +0100

libvirt (1.2.12-0ubuntu5) vivid; urgency=medium

  * Remove smoser-ppc64le-is-ppc64.patch - the problem will be solved by the
    qemu-system-ppcle symlink in qemu-system-ppc package.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 12 Feb 2015 15:38:39 -0600

libvirt (1.2.12-0ubuntu4) vivid; urgency=medium

  * libvirt-qemu: allow kvm script on ppc to execute uname


